| Home | Libraries | People | FAQ | More

# Const_Buffers Class Reference

Inherits CopyConstructible.

Inheritance diagram for Const_Buffers:

List of all members.

## Detailed Description

Const_Buffers concept.

Defines the interface that must be implemented by any object passed as the `buffers` parameter to functions such as:

- boost::asio::write
- boost::asio::async_write,
- boost::asio::stream_socket::write_some
- boost::asio::stream_socket::async_write_some

Implemented By:
  boost::asio::const_buffer_container_1
  boost::asio::mutable_buffer_container_1
  std::deque<boost::asio::const_buffer>
  std::deque<boost::asio::mutable_buffer>
  std::list<boost::asio::const_buffer>
  std::list<boost::asio::mutable_buffer>
  std::vector<boost::asio::const_buffer>
  std::vector<boost::asio::mutable_buffer>
  boost::array<boost::asio::const_buffer, N>
  boost::array<boost::asio::mutable_buffer, N>

## Public Types

typedef implementation_defined | value_type
| The type for each element in the list of buffers. The type must be boost::asio::const_buffer or be convertible to boost::asio::const_buffer.
typedef implementation_defined | const_iterator
| A forward iterator type that may be used to read elements.

## Public Member Functions

const_iterator | begin () const
| Get an iterator to the first element.
const_iterator | end () const
| Get an iterator for one past the last element.

## Member Typedef Documentation

typedef implementation_defined Const_Buffers::value_type

The type for each element in the list of buffers. The type must be boost::asio::const_buffer or be convertible to boost::asio::const_buffer.

typedef implementation_defined Const_Buffers::const_iterator

A forward iterator type that may be used to read elements.

## Member Function Documentation

const_iterator Const_Buffers::begin | ( |  | ) | const

Get an iterator to the first element.

const_iterator Const_Buffers::end | ( |  | ) | const

Get an iterator for one past the last element.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff